Subject: Re: Multiple header instances...

From: [email-masked]
Date: Thu, 16 Dec 1999 22:12:40 +0530

Shail,
when I say headers can be interspersed, I dont mean that the relative
ordering within a header type is allowed to be changed.

For example, if you have
Via:xxxx
Via:yyyy
Via:zzzz

Then
Via:xxxxx
From:werewrwerw
Via:yyyyy
Contact:hfhgfh
Via:zzzzz

is fine as the ordering of Via's _with_ respect to each havent changed. So
hop sensitive fields, aslong as they retain relative ordering, should be
fine.

Regds
Arjun
--
Arjun Roychowdhury @ Hughes Software Systems

Shail Bhatnagar <[email-masked]> on 12/16/99 09:04:22 PM

To:   archow
cc:   [email-masked]

Subject:  Re: Multiple header instances...

Arjun, Ordering of hop by hop fields matters - I was not sure if they
could be non-contiguous.
Shail

[email-masked] wrote:
>
> yes, indeed.
> This is very legal - and _should_ be implemented.
> I think the RFC somewhere states that the ordering is not fixed and
should
> not be assumed so.
> Also, this is a part of the 'torture tests' list in 2nd bakeoff.
>
> Regds
> Arjun
> --